# Interface ContentRef

A set of properties used to reference an ESRI Content instance.

interface ContentRef {
index?: number;
text?: string;
title?: string;
type: string;
}

#####
Index

### Properties

index?
text?
title?
type

##
Properties

### `Optional` index

index?: number

The index of the content item within the popup's content list.

### `Optional` text

text?: string

The text value of "text" content types. This property is invalid for all other content types.

### `Optional` title

title?: string

The title of the content. For "expression" content types, this is the title of the expressionInfo. This property is invalid for "text" and "custom" content types.

### type

type: string

The content type.